Package wx :: Package py :: Module filling :: Class FillingFrame

[frames | no frames]

## Type FillingFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                FillingFrame

Frame containing the namespace tree component.

Method Summary
| ``__init__`(self, parent, id, title, pos, size, style, rootObject, rootLabel, rootIsNamespace, static)` Create FillingFrame instance.

Property Summary

Class Variable Summary
`str` | `name` = `'Filling Frame'`
`str` | `revision` = `'1.7'`

Instance Method Details

### __init__(self, parent=None, id=-1, title='PyFilling', pos=wx.Point(-1, -1), size=(600, 400), style=541072960, rootObject=None, rootLabel=None, rootIsNamespace=False, static=False)
(Constructor)

Create FillingFrame instance.

  Overrides:
    `wx.Frame.__init__`

Class Variable Details

### name

  Type:
    `str`
  Value:

        'Filling Frame'

### revision

  Type:
    `str`
  Value:

        '1.7'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:31 2007 | http://epydoc.sf.net